## qemu 10.1.0~rc0+ds

=== debian/changelog ===
qemu (1:10.1.0~rc0+ds-3) experimental; urgency=medium

  * d/control.mk: enable microblaze system targets on 32bit hosts
    (upstream re-enabled it)
  * hw-pci-host-gpex-acpi-PCI_EXPRESS_GENERIC_BRIDGE-sel.patch,
    reenable microvm build

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 28 Jul 2025 18:35:31 +0300

qemu (1:10.1.0~rc0+ds-2) experimental; urgency=medium

  * skip-install-dtb.patch: avoid installing dtb files during arch build
    (these are built in indep step in d/rules)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 27 Jul 2025 23:15:57 +0300

qemu (1:10.1.0~rc0+ds-1) experimental; urgency=medium

  * new upstream release candidate
  * d/gbp.conf: switch to upstream-10.1 branch
  * d/copyright: update Files-Excluded
  * d/patches/gnu-hurd.patch: refresh
  * d/patches/disable-pycotap.patch: refresh
  * d/patches/qemu-img-options.patch: remove
  * d/control.mk: update current version to 10.1.0~rc0+ds
  * d/rules: remove --enable-avx2 (not used anymore)
  * d/rules: dts files were moved into a subdir
  * d/rules: use ${sysdataidir} in one more place instead of direct reference
  * d/rules: disable microvm build for now (it doesn't build currently)
  * d/control: remove redundant unversioned python3 from Build-Depends

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 27 Jul 2025 16:55:00 +0300
