## qemu 10.1.0~rc1+ds

=== debian/changelog ===
qemu (1:10.1.0~rc1+ds-2) experimental; urgency=medium

  * d/rules: remove mirror-sparse test for now (broken on tmpfs)
  * pcie_sriov-Fix-configuration-and-state-synchronizati.patch
    (Closes: #1109989, CVE-2025-54566, CVE-2025-54567)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 31 Jul 2025 20:41:06 +0300

qemu (1:10.1.0~rc1+ds-1) experimental; urgency=medium

  [ Michael Tokarev ]
  * new upstream release candidate
  * remove patches which has been applied upstream:
    hw-display-qxl-render.c-fix-qxl_unpack_chunks-chunk-.patch
    system-physmem-fix-use-after-free-with-dispatch.patch

  [ Heinrich Schuchardt ]
  * d/control: qemu-system-riscv missing recommends

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 31 Jul 2025 10:33:23 +0300

qemu (1:10.1.0~rc0+ds-4) experimental; urgency=medium

  * d/control.mk: re-enable microblaze system targets on 32bit hosts
    (upstream builds it again)
  * temporarily select ACPI_PCI in d/microvm-devices.mk and reenable
    microvm build

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 28 Jul 2025 19:26:29 +0300
