=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
 Uploaders: Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends: debhelper-compat (= 13),
- python3:any,
  python3-venv:any,
  python3:any (>> 3.11),
  meson (>> 1.5.0~), ninja-build,
