=== debian/rules ===
--- 
+++ 
@@ -185,6 +185,8 @@
 b/qemu/tested: b/qemu/built
 	# ======== begin testing ========
 	rm -rf b/qemu/qemu-bundle
+	#XXX broken on a tmpfs (buildds use tmpfs, the test needs O_DIRECT)
+	rm -f tests/qemu-iotests/tests/mirror-sparse*
 	QEMU_MODULE_DIR=${CURDIR}/b/qemu \
 	    ${MESON} test -C b/qemu --suite=block -t2 \
 		--num-processes=${NUMJOBS} --no-rebuild --print-errorlogs
@@ -219,4 +221,3 @@
 # on ubuntu *-spice existed, may be used in libvirt xml and scripts - keep links for compatibility
 # The sunset for this will be when Ubuntu-Bionic goes out of support which is expected to happen in 2028
 	install -m0644 -p -t debian/qemu-system-x86/usr/bin debian/kvm-spice debian/qemu-system-x86_64-spice
-	install -m0644 -p -t debian/qemu-system-x86/usr/share/man/man1/ debian/kvm-spice.1
